#include "dp_auxwidget.h"
#include "../framework/df_framework.h"
#include "ui_dp_auxwidget.h"
#include "ofd_reader.h"
#include "ofd_view.h"

DP_AuxWidget::DP_AuxWidget(QWidget *parent, OFD_Reader* pReader) :
    DW_BaseSetWidget(parent, pReader),
    ui(new Ui::DP_AuxWidget)
{
    ui->setupUi(this);
}
DP_AuxWidget::~DP_AuxWidget()
{
    delete ui;
}
void    DP_AuxWidget::_InitUI()
{
    DF_Settings* pSettings = m_pReader->GetSettings();
    bool bBaseLine = false;
    pSettings->GetConfigBoolValue(DF_SET_AUX_ANNOTBASELINE, bBaseLine);
    ui->checkBox_MoveBaseline->setChecked(bBaseLine);

    bool bCoordTips = false;
    pSettings->GetConfigBoolValue(DF_SET_AUX_COORDTIPS, bCoordTips);
    ui->checkBox_CoordTips->setChecked(bCoordTips);
}
void    DP_AuxWidget::_SaveModify(int iFlag)
{
    if ( !m_bModify )
        return;

    DF_Settings* pSettings = m_pReader->GetSettings();
    bool bBaseLine = ui->checkBox_MoveBaseline->isChecked();
    pSettings->SetConfigBoolValue(DF_SET_AUX_ANNOTBASELINE, bBaseLine);
    bool bCoordTips = ui->checkBox_CoordTips->isChecked();
    pSettings->SetConfigBoolValue(DF_SET_AUX_COORDTIPS, bCoordTips);
    DF_App::Get()->Event_AppValueChanged(DFH_VALUE_AUX);
}
void    DP_AuxWidget::on_checkBox_MoveBaseline_clicked(bool checked)
{
    m_bModify = true;
}
void    DP_AuxWidget::on_checkBox_CoordTips_clicked(bool checked)
{
    m_bModify = true;
}
