#include "dp_convertwidget.h"
#include "ui_dp_convertwidget.h"
#include "ofd_reader.h"

DP_ConvertWidget::DP_ConvertWidget(QWidget *parent, OFD_Reader* pReader) :
    DW_BaseSetWidget(parent, pReader),
    ui(new Ui::DP_ConvertWidget)
{
    ui->setupUi(this);
}

DP_ConvertWidget::~DP_ConvertWidget()
{
    delete ui;
}
void DP_ConvertWidget::_InitUI()
{
    DF_Settings* pSettings = m_pReader->GetSettings();
    QString sUrl = pSettings->GetConfigValue(DF_SET_CONVERT_ADDR);
    ui->lineEdit_CovAddress->setText(sUrl);

    bool bDocClean = false;
    pSettings->GetConfigBoolValue(DF_SET_CONVERT_DOCCLEAN, bDocClean);
    ui->checkBox_DocClean->setChecked(bDocClean);
}
void DP_ConvertWidget::_SaveModify(int iFlag)
{
    DF_Settings* pSettings = m_pReader->GetSettings();

    //转换服务地址
    QString sOldUrl = pSettings->GetConfigValue(DF_SET_CONVERT_ADDR);
    QString sUrl = ui->lineEdit_CovAddress->text();
    if ( sOldUrl != sUrl )
        pSettings->SetConfigValue(DF_SET_CONVERT_ADDR, sUrl);

    //清稿
    bool bDocClean = ui->checkBox_DocClean->isChecked();
    pSettings->SetConfigBoolValue(DF_SET_CONVERT_DOCCLEAN, bDocClean);
}
void DP_ConvertWidget::on_lineEdit_CovAddress_textEdited(const QString &arg1)
{
    m_bModify = true;
}
void DP_ConvertWidget::on_checkBox_DocClean_clicked()
{
    m_bModify = true;
}
