#ifndef DP_DISPLAYWIDGET_H
#define DP_DISPLAYWIDGET_H

//显示设置窗口
#include "../widgets/dw_widget.h"

class OFD_Reader;
class DF_VPreferences;

namespace Ui {
class DP_DisplayWidget;
}

class DP_DisplayWidget : public DW_BaseSetWidget
{
    Q_OBJECT

public:
    explicit DP_DisplayWidget(QWidget *parent, OFD_Reader* pReader);
    ~DP_DisplayWidget();

protected:
    virtual void    _InitUI();
    virtual void    _SaveModify(int iFlag);

    void    _UpdateZoomUnable();

private slots:
    void on_comboBox_PageMode_activated(int index);
    void on_comboBox_PageLayout_activated(int index);
    void on_comboBox_ZoomMode_activated(int index);
    void on_pushButton_BackColor_clicked();
    void on_doubleSpinBox_Zoom_valueChanged(double arg1);

private:
    Ui::DP_DisplayWidget *ui;

    DF_VPreferences*    m_pVPreferences;  //视图首选项
    bool    m_bShowHomepage;    //是否显示主页
    QRgb    m_iBackColor;       //背景色
};

#endif // DP_DISPLAYWIDGET_H
