#ifndef DP_OPTIONDIALOG_H
#define DP_OPTIONDIALOG_H

//选项窗口

#include <QStackedWidget>
#include <QListWidgetItem>
#include "../dialogs/dd_dialog.h"

namespace Ui {
class DP_OptionDialog;
}

#define DF_OPTION_TABLET        "tool_option_tablet"        //手写板及签字笔设置窗口
#define DF_OPTION_ANNOTTEXT     "tool_option_annottext"     //文字注释设置窗口
#define DF_OPTION_AUX           "tool_option_aux"           //附加功能设置窗口
#define DF_OPTION_SERADDRESS    "tool_option_seraddress"    //服务地址设置窗口
#define DF_OPTION_VIEWMARK      "tool_option_viewmark"      //动态水印设置窗口
#define DF_OPTION_SEALSTAMP     "tool_option_sealstamp"     //印章图章设置窗口
#define DF_OPTION_CONVERT       "tool_option_convert"       //转换设置窗口
#define DF_OPTION_DISPLAY       "tool_option_display"       //显示设置窗口

class DP_OptionDialog : public DD_Dialog
{
    Q_OBJECT

public:
    explicit DP_OptionDialog(OFD_Reader *pReader, QWidget *parent, const QString& sInitName);  //sInitName 选项初始显示窗口
    ~DP_OptionDialog();

private slots:
    void on_listWidget_Options_currentItemChanged(QListWidgetItem *current, QListWidgetItem *previous);
    void on_pushButton_Cancel_clicked();
    void on_pushButton_Ok_clicked();

private:
    void    _InitUI(const QString& sInitName);
    int     _GetItemIndex(const QString& sInitName);
    void    _SelectItem(int iIndex);

private:
    Ui::DP_OptionDialog *ui;

    QStackedWidget* m_pOptionStack;        //内容区域，一个stack，切换显示
};



#endif // DP_OPTIONDIALOG_H
