#include "dp_sealstampwidget.h"
#include "ui_dp_sealstampwidget.h"
#include "ofd_reader.h"
#include "dp_optiondialog.h"

DP_SealStampWidget::DP_SealStampWidget(DP_OptionDialog *parent, OFD_Reader* pReader) :
    DW_BaseSetWidget(parent, pReader),
    ui(new Ui::DP_SealStampWidget)
{
    ui->setupUi(this);
}
DP_SealStampWidget::~DP_SealStampWidget()
{
    delete ui;
}
void    DP_SealStampWidget::_InitUI()
{
    DF_Settings *pSettings = m_pReader->GetSettings();
    bool bTimeStamp = false;
    bool bTimeStampPrint = false;
    bool bSealAtomize = false;
    pSettings->GetConfigBoolValue(DF_SET_SEAL_TIMESTAMP, bTimeStamp);
    pSettings->GetConfigBoolValue(DF_SET_SEAL_TIMESTAMP_PRINT, bTimeStampPrint);
    pSettings->GetConfigBoolValue(DF_SET_SEAL_ATOMIZE, bSealAtomize);
    ui->checkBox_AddTimeStamp->setChecked(bTimeStamp);
    ui->checkBox_PrintTimeStamp->setChecked(bTimeStampPrint);
    ui->checkBox_SealAtomize->setChecked(bSealAtomize);
    _UpdateEnable();
}
void    DP_SealStampWidget::_SaveModify(int iFlag)
{
    bool bTimeStamp = ui->checkBox_AddTimeStamp->isChecked();
    bool bTimeStampPrint = ui->checkBox_PrintTimeStamp->isChecked();
    bool bSealAtomize = ui->checkBox_SealAtomize->isChecked();
    DF_Settings *pSettings = m_pReader->GetSettings();
    pSettings->SetConfigBoolValue(DF_SET_SEAL_TIMESTAMP, bTimeStamp);
    pSettings->SetConfigBoolValue(DF_SET_SEAL_TIMESTAMP_PRINT, bTimeStampPrint);
    pSettings->SetConfigBoolValue(DF_SET_SEAL_ATOMIZE, bSealAtomize);
    DF_CSealLib* pCSealLib = DF_App::Get()->GetCSealLib();
    if( bSealAtomize )
    {
        pCSealLib->SrvSealUtil_setValue(0,"ADD_FORCETYPE_VALUE5","2048");
    }
    else
    {
        pCSealLib->SrvSealUtil_setValue(0,"DEL_FORCETYPE_VALUE5","2048");
    }
    //todo 刷新底层增加时标志位
}
void    DP_SealStampWidget::_UpdateEnable()
{
    if ( ui->checkBox_AddTimeStamp->isChecked() )
        ui->checkBox_PrintTimeStamp->setEnabled(true);
    else
        ui->checkBox_PrintTimeStamp->setEnabled(false);
}
void DP_SealStampWidget::on_checkBox_AddTimeStamp_clicked()
{
    m_bModify = true;
    _UpdateEnable();
}
void DP_SealStampWidget::on_checkBox_PrintTimeStamp_clicked()
{
    m_bModify = true;
}

void DP_SealStampWidget::on_checkBox_SealAtomize_clicked()
{
    m_bModify = true;
}
