#include "dp_servicewidget.h"
#include "ui_dp_servicewidget.h"
#include "ofd_reader.h"

DP_ServiceWidget::DP_ServiceWidget(QWidget *parent, OFD_Reader* pReader) :
    DW_BaseSetWidget(parent, pReader),
    ui(new Ui::DP_ServiceWidget)
{
    ui->setupUi(this);
}
DP_ServiceWidget::~DP_ServiceWidget()
{
    delete ui;
}
void    DP_ServiceWidget::_InitUI()
{
    DF_Settings* pSettings = m_pReader->GetSettings();
    QString sUrl = pSettings->GetConfigValue(DF_SET_UPDATE_PKG_URL);
    ui->lineEdit_UpdateAddress->setText(sUrl);
    sUrl = pSettings->GetConfigValue(DF_SET_ADDR_LOG);
    ui->lineEdit_LogAddress->setText(sUrl);
    sUrl = pSettings->GetConfigValue(DF_SET_ADDR_REG);
    ui->lineEdit_RegAddress->setText(sUrl);
}
void    DP_ServiceWidget::_SaveModify(int iFlag)
{
    DF_Settings* pSettings = m_pReader->GetSettings();
    //更新服务地址
    QString sOldUrl = pSettings->GetConfigValue(DF_SET_UPDATE_PKG_URL);
    QString sUrl = ui->lineEdit_UpdateAddress->text();
    if ( sOldUrl != sUrl )
    {
//        update_version_url=http://192.168.1.220:8080/Seal/doc/getDebVersion.jsp
//        update_pkg_url=http://192.168.1.220:8080/Seal/doc/downLoadDeb.jsp

#ifdef DJ_UPDATE_REERSE
        //兼容老版本，更新服务地址
        pSettings->SetConfigValue(DF_SET_UPDATE_VERSION_URL, sUrl + "/getDebVersion.jsp");
        pSettings->SetConfigValue(DF_SET_UPDATE_PKG_URL, sUrl + "/downLoadDeb.jsp");
#else
        pSettings->SetConfigValue(DF_SET_UPDATE_PKG_URL, sUrl);
#endif
    }

    //注册服务地址
    sOldUrl = pSettings->GetConfigValue(DF_SET_ADDR_REG);
    sUrl = ui->lineEdit_RegAddress->text();
    if ( sOldUrl != sUrl )
        pSettings->SetConfigValue(DF_SET_ADDR_REG, sUrl);

    //日志服务地址
    sOldUrl = pSettings->GetConfigValue(DF_SET_ADDR_LOG);
    sUrl = ui->lineEdit_LogAddress->text();
    if ( sOldUrl != sUrl )
    {
        pSettings->SetConfigValue(DF_SET_ADDR_LOG, sUrl);
        if ( sUrl.startsWith("http") )  //重置设置日志服务
        {
            DF_Log::Get()->SetLogUrl(sUrl);
        }
        else
        {
            DF_Log::Destroy();
            DF_Log::Create(sUrl);
        }
    }
}
void    DP_ServiceWidget::on_lineEdit_LogAddress_textEdited(const QString &arg1)
{
    m_bModify = true;
}
void DP_ServiceWidget::on_lineEdit_UpdateAddress_textEdited(const QString &arg1)
{
    m_bModify = true;
}
void DP_ServiceWidget::on_lineEdit_RegAddress_textEdited(const QString &arg1)
{
    m_bModify = true;
}
