#ifndef DP_TABLETDIALOG_H
#define DP_TABLETDIALOG_H

#include "../dialogs/dd_dialog.h"
#include "../widgets/dw_basewidget.h"
#include <QComboBox>
#include <QLabel>
#include <QListView>

namespace Ui {
class DP_TabletDialog;
}

class DP_TabletDialog : public DD_Dialog
{
    Q_OBJECT

public:
    explicit DP_TabletDialog(OFD_Reader *pReader,QWidget *parent = 0);
    ~DP_TabletDialog();

protected:
    virtual void    _InitUI();

private slots:
    void on_pushButton_Ok_clicked();
    void on_pushButton_Exit_clicked();
    void on_ComboBoxActivated(QString);
    void don_WidthEditTextChanged(const QString &);

private:
    void _UpdateWidthComboBox();

private:
    Ui::DP_TabletDialog *ui;

    QComboBox*      m_pWidthComBox; //笔宽
    DW_ColorComboBox* m_pColorComBox; //颜色设置

    int     m_iColor;       //笔迹颜色
    float   m_fPenWidth;    //笔迹宽度
};

#endif // DP_TABLETDIALOG_H
