#include "dp_tabletwidget.h"
#include "ui_dp_tabletwidget.h"
#include "../framework/df_framework.h"
#include "dp_optiondialog.h"
#include <QColorDialog>
#include "ofd_reader.h"
#include "../widgets/dw_basewidget.h"

DP_TabletWidget::DP_TabletWidget(DP_OptionDialog *parent, OFD_Reader* pReader) :
    DW_BaseSetWidget(parent, pReader),
    ui(new Ui::DP_TabletWidget)
{
    m_pOptionDialog = parent;
    ui->setupUi(this);
    //QDoubleValidator doubleValidator;
    //ui->lineEdit_Width->setValidator(&doubleValidator);

//    DW_ColorComboBox* pCom = new DW_ColorComboBox(0, this);
//    pCom->setGeometry(100, 200, 180, 35);
}
DP_TabletWidget::~DP_TabletWidget()
{
    delete ui;
}
void    DP_TabletWidget::_InitUI()
{
    //width
    DF_Settings* pSettings = m_pReader->GetSettings();
    float fWidth = pSettings->GetTabletPenWidth();
    ui->lineEdit_Width->setText(QString::number(fWidth, 'f', 2));

    //color
    m_PenColor = pSettings->GetTabletPenColor();
    SetButtonColor(ui->pushButton_Color, m_PenColor.rgb());

    //set bar
    bool bSetBar = true;
    pSettings->GetConfigBoolValue(DF_SET_TABLET_SETBAR, bSetBar);
    ui->checkBox_SettingBar->setChecked(bSetBar);
}
void    DP_TabletWidget::_SaveModify(int iFlag)
{
    if ( !m_bModify )
        return;

    DF_Settings* pSettings = m_pReader->GetSettings();
    QString sPenWidth = ui->lineEdit_Width->text();
    if ( !sPenWidth.isEmpty() )
    {
        bool bOk;
        float fPenWidth = sPenWidth.toFloat(&bOk);
        if ( bOk )
            pSettings->SetConfigValue(DF_SET_TABLET_PENWIDTH, QString::number(fPenWidth, 'f', 2));
    }

    pSettings->SetConfigValue(DF_SET_TABLET_PENCOLOR, QString::number(m_PenColor.rgb()));
    pSettings->SetConfigBoolValue(DF_SET_TABLET_SETBAR, ui->checkBox_SettingBar->isChecked());
}
void DP_TabletWidget::on_pushButton_Color_clicked()
{
    QColor selColor = QColorDialog::getColor(m_PenColor, this);
    if ( selColor.isValid() && selColor.rgb() != m_PenColor.rgb() )
    {
        m_PenColor = selColor;
        m_bModify = true;
        SetButtonColor(ui->pushButton_Color, m_PenColor.rgb());
    }
}
void DP_TabletWidget::on_lineEdit_Width_textChanged(const QString &arg1)
{
    m_bModify = true;
}
void DP_TabletWidget::on_checkBox_SettingBar_clicked()
{
    m_bModify = true;
}
