#ifndef DP_VIEWMARKWIDGET_H
#define DP_VIEWMARKWIDGET_H

//动态水印设置对话框
#include "../widgets/dw_widget.h"
#include "../framework/df_framework.h"

namespace Ui {
class DP_ViewMarkWidget;
}

class OFD_Reader;
class DP_OptionDialog;

class DP_ViewMarkWidget : public DW_BaseSetWidget
{
    Q_OBJECT

public:
    explicit DP_ViewMarkWidget(DP_OptionDialog *parent, OFD_Reader* pReader);
    ~DP_ViewMarkWidget();

protected:
    virtual void    _InitUI();
    virtual void    _SaveModify(int iFlag);

private slots:
    void on_checkBox_ShowViewMark_clicked(bool checked);
    void on_checkBox_PrintViewMark_clicked(bool checked);

    void on_radioButton_TextWatermark_clicked(bool checked);
    void on_lineEdit_Content_textChanged(const QString &arg1);
    void on_fontComboBox_activated(const QString &arg1);
    void on_spinBox_FontSize_valueChanged(int arg1);
    void on_pushButton_FontColor_clicked();

    void on_radioButton_ImageWatermark_clicked(bool checked);
    void on_lineEdit_ImageFile_textChanged(const QString &arg1);
    void on_pushButton_SelectFile_clicked();

    void on_checkBox_Time_clicked(bool checked);
    void on_checkBox_SysUser_clicked(bool checked);
    void on_checkBox_User_clicked(bool checked);

    void on_comboBox_Pattern_activated(int index);
    void on_spin_Zoom_valueChanged(double arg1);
    void on_doubleSpinBox_OffsetX_valueChanged(double arg1);
    void on_doubleSpinBox_OffsetY_valueChanged(double arg1);
    void on_radioButton_Rotate45_clicked(bool checked);
    void on_radioButton_Rotate0_clicked(bool checked);
    void on_radioButton_Rotate45Neg_clicked(bool checked);
    void on_radioButton_RotateCustom_clicked(bool checked);
    void on_spin_Rotate_valueChanged(int arg1);
    void on_horizontalSlider_Opacity_valueChanged(int value);
    void on_spinBox_Opacity_valueChanged(int arg1);

private:
    Ui::DP_ViewMarkWidget *ui;
    QButtonGroup*   m_pTypeGroup;
    QButtonGroup*   m_pRotateGroup;

    void    _UpdateEnable();                    //可用状态刷新
    void    _UpdateContent();                   //刷新内容
    void    _UpdateStyle();                     //刷新状态
    void    _UpdateColorButton();
    
private:
    DF_ViewMark     m_ViewMark;    //当前动态水印信息
    bool    m_bRotateCustomChecked;
};

#endif // DP_VIEWMARKWIDGET_H
